#!/usr/bin/env node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = __importDefault(require("commander"));
const index_1 = __importDefault(require("./index"));
commander_1.default
    .version('1.3.0')
    .option('-i, --indent [n]', 'Number of spaces used for indentation', 4)
    .option('-t, --html-alias [prefix]', 'Optional prefix to use in front of html tags')
    .option('-a, --attribute-alias [prefix]', 'Optional prefix to use in front of attribute names')
    .parse(process.argv);
const options = {
    indent: commander_1.default.indent,
    htmlAlias: commander_1.default.htmlAlias,
    attributeAlias: commander_1.default.attributeAlias,
};
if (process.stdin.isTTY) {
    index_1.default(commander_1.default.args.join(''), options).then(result => process.stdout.write(result + '\n'));
}
else {
    // When data is piped into the program
    let data = '';
    process.stdin.resume();
    process.stdin.setEncoding('utf8');
    process.stdin.on('data', chunk => (data += chunk));
    process.stdin.on('end', () => __awaiter(this, void 0, void 0, function* () {
        const result = yield index_1.default(data, options);
        process.stdout.write(result + '\n');
    }));
}
